Package org.apache.groovy.parser.antlr4.internal.atnmanager

# Class LexerAtnManager

java.lang.Object
org.apache.groovy.parser.antlr4.internal.atnmanager.AtnManager
org.apache.groovy.parser.antlr4.internal.atnmanager.LexerAtnManager

public class LexerAtnManager extends AtnManager
Manage ATN for lexer to avoid memory leak

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.groovy.parser.antlr4.internal.atnmanager.AtnManager

  `AtnManager.AtnWrapper`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final LexerAtnManager`
  `INSTANCE`

  ### Fields inherited from class org.apache.groovy.parser.antlr4.internal.atnmanager.AtnManager

  `READ_LOCK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AtnManager.AtnWrapper`
  `createAtnWrapper()`
  `protected boolean`
  `shouldClearDfaCache()`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.internal.atnmanager.AtnManager

  `getATN, getAtnWrapper`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final LexerAtnManager INSTANCE

- ## Method Details

  - ### createAtnWrapper

    protected AtnManager.AtnWrapper createAtnWrapper()
    Specified by:
      `createAtnWrapper` in class `AtnManager`

  - ### shouldClearDfaCache

    protected boolean shouldClearDfaCache()
    Specified by:
      `shouldClearDfaCache` in class `AtnManager`